Mailinglist Archive: opensuse-factory (446 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20161201 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20161201

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
calligra
dhcp
dracut
hplip (3.16.8 -> 3.16.10)
kchmviewer
kdbg
kdevelop4
kdevelop4-plugins
kdevplatform4
kernel-firmware (20161005 -> 20161121)
kernel-source (4.8.10 -> 4.8.11)
kradio
libkolabxml (1.1.2 -> 1.1.6)
libqmi (1.16.0 -> 1.16.2)
libyui (3.2.8 -> 3.2.9)
p11-kit
perl-Text-Unidecode (1.27 -> 1.30)
pesign-obs-integration
rp-pppoe
vala (0.34.2 -> 0.34.3)
yast2-ntp-client (3.2.0 -> 3.2.1)
yast2-packager (3.2.7 -> 3.2.9)

=== Details ===

==== calligra ====
Subpackages: calligra-extras-dolphin calligra-extras-okular calligra-stage
calligra-words-common

- Expand macro kde4_runtime_requires only when its available
to fix quilt setup

==== dhcp ====
Subpackages: dhcp-client dhcp-doc dhcp-relay dhcp-server

- Add config file for registering dhcp server in slp (bsc#992072)

==== dracut ====

- Remove 0314-run-rpcbind.patch again, was solved by another
change in rpcbind

==== hplip ====
Version update (3.16.8 -> 3.16.10)
Subpackages: hplip-hpijs hplip-sane

- Fixed SLES12 SP2 build problem in
%files section for /usr/lib/udev/rules.d
- Version upgrade to 3.16.10:
* Added Support for the Following New Printers:
- HP officejetPro7740 wide Format All in one
- HP Office jet 6950 All-in-One printer
- HP ScanJet Pro 3000 s3 Sheet-feed Scanner
- HP ScanJet Enterprise Flow 5000 s4 Sheet-feed Scanner
- HP Scanjet Entrprise Flow 7000 s3 sheetfeed Scanner
- HP Color LaserJet Pro MFP M277c6
* Notes to follow:
- For scanjets scan using command "hp-scan --adf --size=size_name"
- "hp-scan --help" for all size_name
- Version upgrade to 3.16.9:
* Added Support for the Following New Printers:
- HP OfficeJet Pro 8732M All-in-One Printer
- HP OfficeJet 8702 All-in-One Printer
- HP OfficeJet 6960 All-in-One Printer
- HP PageWide 377dw Multifunction Printer
- HP PageWide 352dw Printer
- HP PageWide Managed Color MFP E58650 series
- HP PageWide Managed Color E55650 series

==== kchmviewer ====

- Expand macro kde4_runtime_requires only when its available
to fix quilt setup

==== kdbg ====
Subpackages: kdbg-doc kdbg-lang

- Expand macro kde4_runtime_requires only when its available
to fix quilt setup

==== kdevelop4 ====
Subpackages: kdevelop4-devel kdevelop4-lang kdevelop4-plugin-cppsupport

- Expand macro kde4_runtime_requires only when its available
to fix quilt setup

==== kdevelop4-plugins ====

- Expand macro kde4_runtime_requires only when its available
to fix quilt setup

==== kdevplatform4 ====
Subpackages: kdevplatform4-lang libkdevplatform8

- Expand macro kde4_runtime_requires only when its available
to fix quilt setup

==== kernel-firmware ====
Version update (20161005 -> 20161121)
Subpackages: ucode-amd

- Update to version 20161121:
* mediatek: update MT8173 VPU firmware for idle state
* amdgpu: add new smc firmware for newer tonga and iceland chips
* linux-firmware: rockchip: update dptx firmware to v3.1
* rockchip/dptx: update WHENCE to version 3.1

==== kernel-source ====
Version update (4.8.10 -> 4.8.11)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Linux 4.8.11 (: :).
- commit 8e531aa
- ASoC: intel: Fix crash at suspend/resume without card
registration (bsc#1010690).
- commit b60c8fd
- Revert "ACPI: Execute _PTS before system reboot" (bsc#101220).
- commit 95e516a
- xc2028: Fix use-after-free bug properly (CVE-2016-7913
bsc#1010478).
- commit 534ac6c
- Update patches.kernel.org/patch-4.8.7-8 references (add CVE-2016-9555
bsc#1011685).
- commit d81bac1

==== kradio ====

- Expand macro kde4_runtime_requires only when its available
to fix quilt setup

==== libkolabxml ====
Version update (1.1.2 -> 1.1.6)

- disable parallel build to hopefully fix random build failures
- New upstream release 1.1.6
+ The created date is optional
- New upstream release 1.1.5
+ Support audio alarms without an attachment
- New upstream release 1.1.4
+ The tests require valid created dates
- New upstream release 1.1.3
+ The "created" property must be a UTC date-time

==== libqmi ====
Version update (1.16.0 -> 1.16.2)
Subpackages: libqmi-glib5 libqmi-tools

- Update to version 1.16.2:
+ DMS: flagged several methods as available since DMS 1.1.
+ NAS: Fix RX/TX mixup in 'Get LTE Cphy CA Info'.
+ qmi-proxy:
- Fix segfault when trying to use already disposed clients.
- Fix segfault when trying to use already disposed
transactions.
- Plug several memleaks in error conditions.
+ qmicli: Added support for IP type in --wds-start-network.
+ build: fix checking for libmbim.

==== libyui ====
Version update (3.2.8 -> 3.2.9)

- implement shortcut conflicts resolver for menu buttons
(bsc#940817)
- 3.2.9

==== p11-kit ====
Subpackages: libp11-kit0 libp11-kit0-32bit p11-kit-32bit p11-kit-devel
p11-kit-tools

- 32-bit compatibility fixes:
* Add PKCS11 module to p11-kit-32bit (bsc#996047#c39)
* Add p11-kit-nss-trust-32bit NSS module
* Fix potential bi-arch issue with private binaries
(fdo#98817, p11-kit-biarch.patch)

==== perl-Text-Unidecode ====
Version update (1.27 -> 1.30)

- updated to 1.30
see /usr/share/doc/packages/perl-Text-Unidecode/ChangeLog

==== pesign-obs-integration ====

- Copy over any *.log files from the first build (bsc#1012422)

==== rp-pppoe ====

- Fix patches and script for version 3.12.
- dropped logger-path.diff
- Add net-tools support. net-tools-deprecated is no longer required.

==== vala ====
Version update (0.34.2 -> 0.34.3)
Subpackages: libvala-0_34-0

- Update to version 0.34.3:
+ Bug fixes and binding updates.

==== yast2-ntp-client ====
Version update (3.2.0 -> 3.2.1)

- Remove warning message from a wrong widget definition
(bsc#1012185)
- 3.2.1

==== yast2-packager ====
Version update (3.2.7 -> 3.2.9)

- Revert the last change, as it is more tricky to get the correct
behavior. For more details see the discussion in (bsc#966466).
- 3.2.9
- Always show summary mode when clicking on details in software
proposal (bsc#966466)
- 3.2.8

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages